# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TRow

Packages that use TRow
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TRow in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TRow
Modifier and Type
Class
Description
`class`
`TRow`
`class`
`TRow`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TRow
Modifier and Type
Field
Description
`List<TRow>`
TRowSet.`rows`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TRow
Modifier and Type
Method
Description
`TRow`
TRow.`deepCopy()`
`TRow`
TRow.`setColVals(List<TColumnValue> colVals)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TRow
Modifier and Type
Method
Description
`List<TRow>`
TRowSet.`getRows()`
`Iterator<TRow>`
TRowSet.`getRowsIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRow
Modifier and Type
Method
Description
`void`
TRowSet.`addToRows(TRow elem)`
`int`
TRow.`compareTo(TRow other)`
`boolean`
TRow.`equals(TRow that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TRow
Modifier and Type
Method
Description
`TRowSet`
TRowSet.`setRows(List<TRow> rows)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRow
Modifier
Constructor
Description
``
`TRow(TRow other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TRow
Modifier
Constructor
Description
``
`TRowSet(long startRowOffset, List<TRow> rows)`